package EasyFile;

import java.util.EventListener;

/**
 * Verantwortlich f&uuml;r die Kommunikation zwischen der
 * Klasse, die Ftp-Funktionalit&auml;t bereitstellt (in
 * EasyFile ist das {@link Mdl_Ftp Mdl_Ftp} und den Klassen,
 * die die so &uuml;bermittelten Ergebnisse in einer GUI
 * darstellen m&uuml;ssen (in EasyFile ist das {@link GUI_HauptDlg GUI_HauptDlg}).
 * @author Henrik Warnecke, J&ouml;rg Hoos, Matthias Ansorg, Thomas Martin, Ralf Mei&szlig;ner
 * @version 0.3
 */

public interface Mdl_FtpEventListener extends java.util.EventListener {

/**
 * Reagiert auf ein {@link progressEvent progressEvent}
 */
  public void progress(progressEvent e);

/**
 * Reagiert auf ein {@link StartDirEvent StartDirEvent}.
 */
  public void StartDir(StartDirEvent e);

/**
 * Reagiert auf ein {@link DirEntryEvent DirEntryEvent}.
 */
  public void DirEntry(DirEntryEvent e);

/**
 * Reagiert auf ein {@link StopDirEvent StopDirEvent}.
 */
  public void StopDir(StopDirEvent e);

}