package EasyFile;

import java.util.EventListener;

/**
 * Schnittstelle zwischen der Hotlist (Klasse
 * {@link Mdl_Hotlist Mdl_Hotlist} und der Oberfl&auml;che der
 * Hotlist (Klasse {@link GUI_VerbdgDlg GUI_VerbdgDlg}).
 * @author Henrik Warnecke, J&ouml;rg Hoos, Matthias Ansorg, Thomas Martin, Ralf Mei&szlig;ner
 * @version 0.3
 */

public interface Mdl_HotlistEventListener extends java.util.EventListener {

/**
 * Reagiert auf das Hinzuf&uuml;gen eines Eintrags zur Hotlist.
 * Die Implementierung wird &uuml;blicherweise die Darstellung
 * des neuen Eintrags sein, dessen ID im &uuml;bergebenen Parameter
 * enthalten ist.
 * @param e  Enth&auml;lt die Identifikationsnummer des neu
 * hinzugef&uuml;gten Eintrags, mit der man die Daten des Eintrags
 * erhalten kann.
 */
  public void addedEntry(addedEntryEvent e);
  public void removedEntry(removedEntryEvent e);

}