package EasyFile;

import java.util.EventListener;

/**
 * Reagiert auf das Hinzuf&uuml;gen einer Zeile zu den Log-Daten.
 * @author Henrik Warnecke, J&ouml;rg Hoos, Matthias Ansorg, Thomas Martin, Ralf Mei&szlig;ner
 * @version 0.3
 */

public interface Mdl_LogEventListener extends java.util.EventListener {

/**
 * Darstellen der Zeile, die zu den Log-Daten neu hinzugef&uuml;gt
 * wurde.
 * @param e  LogEvent, das die Zeile enth&auml;lt, die zur
 * Darstellung der Log-Daten hinzugef&uuml;gt werden soll.
 */
  public void logline(LogEvent e);

}