package EasyFile;

import java.util.EventObject;

/**
 * Wird erzeugt, wenn zur Hotlist ein neuer Eintrag
 * hinzugef&uuml;gt wurde. GUI-Klassen erfahren so, dass sie
 * in der Hotlist einen neuen Eintrag darstellen m&uuml;ssen.
 * @author Henrik Warnecke, J&ouml;rg Hoos, Matthias Ansorg, Thomas Martin, Ralf Mei&szlig;ner
 * @version 0.3
 */

public class addedEntryEvent extends EventObject {

/**
 * Identifikationsnummer des neuen Eintrags der Hotlist. Mit
 * dieser Nummer verwaltet {@link Mdl_Hotlist Mdl_Hotlist} die
 * Eintr&auml;ge. Z.B. erh&auml;lt man die Daten des
 * Hotlist-Eintrags mit
 * {@link Mdl_Hotlist#getEntry(int) Mdl_Hotlist.getEntry(int id)}
 * und l&ouml;scht einen Hotlisteintrag mit
 * {@link Mdl_Hotlist#removeEntry(int) Mdl_Hotlist.removeEntry(int id)}.
 */
  public int id;

  public addedEntryEvent(Object source) {
    super(source);
  }
}