package EasyFile;

import java.util.EventObject;

/**
 * Ereignis, das mehrmals w&auml;hrend dem Herauf- bzw&#46;
 * Herunterladen einer Datei erzeugt wird und den Fortschritt
 * dieses Vorgangs angibt.
 * @author Henrik Warnecke, J&ouml;rg Hoos, Matthias Ansorg, Thomas Martin, Ralf Mei&szlig;ner
 * @version 0.3
 */

public class progressEvent extends EventObject {

/**
 * Fortschritt der Datei&uuml;bertragung beim Herauf- bzw&#46;
 * Herunterladen in Prozent. Die zul&auml;ssigen Werte sind also
 * 1 bis 100. Ein Wert von 100 zeigt an, dass die Datei nun
 * vollst&auml;ndig &uuml;bertragen wurde.
 */
  public int progress;

  public progressEvent(Object source) {
   super(source);
  }
}