package EasyFile;

import java.util.EventObject;

/**
 * Wird erzeugt, wenn von der Hotlist ein Eintrag entfernt
 * wurde. GUI-Klassen erfahren so, dass die Darstellung dieses
 * Eintrags gel&ouml;scht werden muss.
 * @author Matthias Ansorg
 * @version 0.3
 */

public class removedEntryEvent extends EventObject {

/**
 * Identifikationsnummer des gel&ouml;schten Eintrags der Hotlist. Mit
 * dieser Nummer verwaltet {@link Mdl_Hotlist Mdl_Hotlist} die
 * Eintr&auml;ge. Z.B. erh&auml;lt man die Daten des
 * Hotlist-Eintrags mit
 * {@link Mdl_Hotlist#getEntry(int) Mdl_Hotlist.getEntry(int id)}
 * und l&ouml;scht einen Hotlisteintrag mit
 * {@link Mdl_Hotlist#removeEntry(int) Mdl_Hotlist.removeEntry(int id)}.
 */
  public int id;

  public removedEntryEvent(Object source) {
    super(source);
  }
}